package com.oqpo.api.mapper.pomng;


import com.oqpo.api.entity.pomng.PchOdrBaseInfoEntity;
import com.oqpo.api.entity.pomng.PchOdrDtlPtclEntity;
import com.oqpo.api.entity.pomng.PchReqBaseInfoEntity;
import com.oqpo.api.entity.pomng.PchReqDtlPtclEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PchOrdMapper {
    List<PchOdrBaseInfoEntity> selectRecPchInitInfo(@Param("brandId") String brandId, List<PchOdrDtlPtclEntity> gridUpdateData)throws Exception;
    List<PchOdrDtlPtclEntity> selectRecPchDtlInitInfo(@Param("brandId") String brandId, List<PchOdrDtlPtclEntity> gridUpdateData)throws Exception;
    PchOdrBaseInfoEntity selectPoInitInfo(@Param("brandId") String brandId)throws Exception;

    int insertPchOdrBaseInfo(@Param("userId") String userId, PchOdrBaseInfoEntity entity)throws Exception;
    int insertPchOdrDtlPtcl(@Param("userId") String userId, List<PchOdrBaseInfoEntity> gridInsertData)throws Exception;

/*
    List<PchReqBaseInfoEntity> selectPchReqGridList(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId, @Param("fromDt") String fromDt, @Param("toDt") String toDt, @Param("sWhsId") String sWhsId, @Param("sPchReqStCd") String sPchReqStCd, @Param("sItemNm") String sItemNm, GridRequest gridRequest)throws Exception;
    int selectPchReqGridCnt(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId, @Param("fromDt") String fromDt, @Param("toDt") String toDt, @Param("sWhsId") String sWhsId, @Param("sPchReqStCd") String sPchReqStCd, @Param("sItemNm") String sItemNm)throws Exception;

    PchReqBaseInfoEntity selectPchReqInfo(@Param("brandId") String brandId, @Param("pchReqUnqNo") String pchReqUnqNo)throws Exception;
    List<PchReqDtlPtclEntity> selectPchReqDtlPtcl(@Param("brandId") String brandId, @Param("pchReqUnqNo") String pchReqUnqNo)throws Exception;


    int insertPchReqBaseInfo(@Param("userId") String userId, @Param("userNm") String userNm, PchReqBaseInfoEntity entity) throws Exception;

    int updateOrdPchReqBaseInfo(@Param("userId") String userId, @Param("userNm") String userNm, PchReqBaseInfoEntity entity) throws Exception;

    int insertPchReqDtlPtcl(@Param("userId") String userId, List<PchReqDtlPtclEntity> gridInsertData) throws Exception;

    int updateRejPchReqBaseInfo(@Param("userId") String userId, PchReqBaseInfoEntity entity) throws Exception;

    int updatePchReqDtlPtcl(@Param("userId") String userId, @Param("pchReqUnqNo") String pchReqUnqNo, List<PchReqDtlPtclEntity> gridUpdateData) throws Exception;

    int deletePchReqDtlPtcl(@Param("pchReqUnqNo") String pchReqUnqNo, List<PchReqDtlPtclEntity> gridDeleteData) throws Exception;

    int selectMaxPchReqDtlNo(@Param("pchReqUnqNo") String pchReqUnqNo) throws Exception;

    PchReqBaseInfoEntity selectSumReqAmt(@Param("pchReqUnqNo") String pchReqUnqNo) throws Exception;
*/

}
